Relesys API Docs

v1

https://api.relesysapp.net/api/v1

Views

Get Content Views
GET /contentmodules/{moduleId}/content/{contentId}/views
https://api.relesysapp.net/api/v1/contentmodules/{moduleId}/content/{contentId}/views
Get a list of users that have seen or swiped (read) on a content with contentId in a module with moduleId.
Default sorting is by dateViewed in descending order.
Scopes: relesys.api, relesys.api:read, relesys.api.content, relesys.api.content:read
URL Path
moduleId string / guid The module's unique identifier required
contentId string / guid The content's unique identifier required
Query String
dateSwiped datetimeoffset Filterable Sortable optional
dateViewed datetimeoffset Filterable Sortable optional
id string / guid Filterable optional
userId string / guid Filterable optional
sort string Comma separated sort order based on sortable properties optional
offset integer Offset value for use in pagination Default: 0 optional
limit integer Total objects to fetch (max 1000) Default: 200 optional
Responses
application/json
JSON
{"count":2,"data":[{"id":"c5ade5e1-6c11-435c-8203-4034b952e403","userId":"63f9387f-8d68-4205-babc-c14c1e3027f0","userUrl":null,"dateSwiped":"2026-05-13T16:40:37.0456333+00:00","dateViewed":"2026-05-13T16:40:37.0456333+00:00"},{"id":"f80a4e63-9c4a-496c-a8d4-06b606195c48","userId":"58274d31-23b4-47e6-95b7-dbc5e9d2d492","userUrl":null,"dateSwiped":null,"dateViewed":"2026-05-14T16:40:37.0456333+00:00"}]}
object
  count integer      
  data array[object]      
   dateSwiped datetimeoffset      
   dateViewed datetimeoffset      
   id string / guid      
   userId string / guid      
   userUrl string      
  nextUrl string      
  previousUrl string